Package tigase.conf

## Class ConfigReader.CompositeVariable

- java.lang.Object
- - tigase.conf.ConfigReader.CompositeVariable

- All Implemented Interfaces:
    `ConfigReader.Variable`
  Enclosing class:
    ConfigReader

      public static class ConfigReader.CompositeVariable
      extends java.lang.Object
      implements ConfigReader.Variable

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ConfigReader.CompositeVariable.Operation` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompositeVariable()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `add​(char operation, java.lang.Object value)` |
    `void` | `add​(java.lang.Object value)` |
    `java.lang.Object` | `calculateValue()` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.List<java.lang.Object>` | `getArguments()` |
    `java.util.List<ConfigReader.CompositeVariable.Operation>` | `getOperations()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeVariable

          public CompositeVariable()

  - ### Method Detail

    - #### calculateValue

          public java.lang.Object calculateValue()

      Specified by:
        `calculateValue` in interface `ConfigReader.Variable`

    - #### add

          public void add​(java.lang.Object value)

    - #### add

          public void add​(char operation,
                          java.lang.Object value)

    - #### getArguments

          public java.util.List<java.lang.Object> getArguments()

    - #### getOperations

          public java.util.List<ConfigReader.CompositeVariable.Operation> getOperations()

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`